VFS_WORM(8)

NAME
vfs_worm - disallows writes for older file

SYNOPSIS

vfs objects = worm

DESCRIPTION

This VFS module is part of the samba(7) suite.

The vfs_worm module controls the writability of files and folders depending on their change time and a adjustable grace period.

If the change time of a file or directory is older than the specified grace period, the write access will be denied, independent of further access controls (e.g. by the filesystem).

In the case that the grace period is not exceed, the worm module will not impact any access controls.

OPTIONS

worm:grace_period = SECONDS
    Period in seconds which defines the time how long the write access should be handled by the normal access controls. After this grace period the file or directory becomes read only.

EXAMPLES

Deny the write access to files and folders, which are older than five minutes (300 seconds):

    	[wormshare]
    	vfs objects = worm
    	worm:grace_period = 300

VERSION

This man page is correct for version 4.2 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.